# WOK
TKWOK
WOKDeliv

# WOKDeliv_DataMapIteratorOfDataMapOfFiles Class Reference

`#include <WOKDeliv_DataMapIteratorOfDataMapOfFiles.hxx>`

Inheritance diagram for WOKDeliv_DataMapIteratorOfDataMapOfFiles:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKDeliv_DataMapIteratorOfDataMapOfFiles ()
Standard_EXPORT | WOKDeliv_DataMapIteratorOfDataMapOfFiles (const WOKDeliv_DataMapOfFiles &aMap)
Standard_EXPORT void | Initialize (const WOKDeliv_DataMapOfFiles &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DataMapIteratorOfDataMapOfFiles::WOKDeliv_DataMapIteratorOfDataMapOfFiles | ( |  | ) |

Standard_EXPORT WOKDeliv_DataMapIteratorOfDataMapOfFiles::WOKDeliv_DataMapIteratorOfDataMapOfFiles | ( | const WOKDeliv_DataMapOfFiles & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKDeliv_DataMapIteratorOfDataMapOfFiles::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKDeliv_DataMapIteratorOfDataMapOfFiles::Initialize | ( | const WOKDeliv_DataMapOfFiles & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKDeliv_DataMapIteratorOfDataMapOfFiles::Key | ( |  | ) | const

void WOKDeliv_DataMapIteratorOfDataMapOfFiles::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKDeliv_DataMapIteratorOfDataMapOfFiles::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKDeliv_DataMapIteratorOfDataMapOfFiles::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString& WOKDeliv_DataMapIteratorOfDataMapOfFiles::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKDeliv_DataMapIteratorOfDataMapOfFiles.hxx